OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_ElementMaterial Class Reference

Representation of STEP entity ElementMaterial
.

`#include <StepElement_ElementMaterial.hxx>`

## Public Member Functions
Standard_EXPORT | StepElement_ElementMaterial ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aMaterialId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_HArray1OfMaterialPropertyRepresentation)&aProperties)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | MaterialId () const
| Returns field MaterialId .
Standard_EXPORT void | SetMaterialId (const Handle(TCollection_HAsciiString)&MaterialId)
| Set field MaterialId .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_StepRepr_HArray1OfMaterialPropertyRepresentation | Properties () const
| Returns field Properties .
Standard_EXPORT void | SetProperties (const Handle(StepRepr_HArray1OfMaterialPropertyRepresentation)&Properties)
| Set field Properties .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theMaterialId
Handle_TCollection_HAsciiString | theDescription
Handle_StepRepr_HArray1OfMaterialPropertyRepresentation | theProperties

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_ElementMaterial::StepElement_ElementMaterial | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_ElementMaterial::Description | ( |  | ) | const

Standard_EXPORT const StepElement_ElementMaterial::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_ElementMaterial::Init | ( | const Handle(TCollection_HAsciiString)& | aMaterialId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_HArray1OfMaterialPropertyRepresentation)& | aProperties
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_ElementMaterial::MaterialId | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_HArray1OfMaterialPropertyRepresentation StepElement_ElementMaterial::Properties | ( |  | ) | const

Standard_EXPORT void StepElement_ElementMaterial::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepElement_ElementMaterial::SetMaterialId | ( | const Handle(TCollection_HAsciiString)& | MaterialId | ) |

Standard_EXPORT void StepElement_ElementMaterial::SetProperties | ( | const Handle(StepRepr_HArray1OfMaterialPropertyRepresentation)& | Properties | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepElement_ElementMaterial::theDescription`[private]`

Handle_TCollection_HAsciiString StepElement_ElementMaterial::theMaterialId`[private]`

Handle_StepRepr_HArray1OfMaterialPropertyRepresentation StepElement_ElementMaterial::theProperties`[private]`

The documentation for this class was generated from the following file:

- StepElement_ElementMaterial.hxx